xcb_xfixes_set_window_shape_region(3)

NAME
xcb_xfixes_set_window_shape_region -

SYNOPSIS
#include <xcb/xfixes.h>

  Request function

xcb_void_cookie_t xcb_xfixes_set_window_shape_region(xcb_connection_t *conn, xcb_window_t dest, xcb_shape_kind_t dest_kind, int16_t x_offset, int16_t y_offset, xcb_xfixes_region_t region);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

dest
    TODO: NOT YET DOCUMENTED.

dest_kind
    TODO: NOT YET DOCUMENTED.

x_offset
    TODO: NOT YET DOCUMENTED.

y_offset
    TODO: NOT YET DOCUMENTED.

region
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xfixes_set_window_shape_region_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xfixes.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.